summaryrefslogtreecommitdiffstats
path: root/desktop/xfce4-screenshooter
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-12 23:28:30 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-12 23:28:30 +0200
commit5355b4ed90392a832edd74f50360121bdc5f709a (patch)
treee9465f6a75787a31a11ac177b21087f586ec09f4 /desktop/xfce4-screenshooter
parent31ac8f0268a3de6c4d1321295fce576e8c9acff0 (diff)
downloadslackbuilds-5355b4ed90392a832edd74f50360121bdc5f709a.tar.gz
slackbuilds-5355b4ed90392a832edd74f50360121bdc5f709a.tar.xz
desktop/xfce4-screenshooter: Added to 12.2 repository
Diffstat (limited to 'desktop/xfce4-screenshooter')
-rw-r--r--desktop/xfce4-screenshooter/README4
-rw-r--r--desktop/xfce4-screenshooter/doinst.sh10
-rw-r--r--desktop/xfce4-screenshooter/slack-desc19
-rw-r--r--desktop/xfce4-screenshooter/xfce4-screenshooter.SlackBuild95
-rw-r--r--desktop/xfce4-screenshooter/xfce4-screenshooter.info8
5 files changed, 136 insertions, 0 deletions
diff --git a/desktop/xfce4-screenshooter/README b/desktop/xfce4-screenshooter/README
new file mode 100644
index 0000000000..cda10c5806
--- /dev/null
+++ b/desktop/xfce4-screenshooter/README
@@ -0,0 +1,4 @@
+screenshooter plugin for Xfce
+
+The screenshooter plugin adds a panel button that allows you to
+take screenshots. It's similar to the gnome-screenshot function.
diff --git a/desktop/xfce4-screenshooter/doinst.sh b/desktop/xfce4-screenshooter/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/desktop/xfce4-screenshooter/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/xfce4-screenshooter/slack-desc b/desktop/xfce4-screenshooter/slack-desc
new file mode 100644
index 0000000000..c0d4800914
--- /dev/null
+++ b/desktop/xfce4-screenshooter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------|
+xfce4-screenshooter: (screenshooter plugin for Xfce)
+xfce4-screenshooter:
+xfce4-screenshooter: The screenshooter plugin adds a panel button
+xfce4-screenshooter: that allows you to take screenshots. It's
+xfce4-screenshooter: similar to the gnome-screenshot function.
+xfce4-screenshooter:
+xfce4-screenshooter:
+xfce4-screenshooter:
+xfce4-screenshooter:
+xfce4-screenshooter:
+xfce4-screenshooter:
diff --git a/desktop/xfce4-screenshooter/xfce4-screenshooter.SlackBuild b/desktop/xfce4-screenshooter/xfce4-screenshooter.SlackBuild
new file mode 100644
index 0000000000..d430b8496d
--- /dev/null
+++ b/desktop/xfce4-screenshooter/xfce4-screenshooter.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for xfce4-screenshooter
+
+# Copyright 2006-2009 Robby Workman Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xfce4-screenshooter
+VERSION=1.5.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/xfce4-screenshooter/xfce4-screenshooter.info b/desktop/xfce4-screenshooter/xfce4-screenshooter.info
new file mode 100644
index 0000000000..9e6f06466d
--- /dev/null
+++ b/desktop/xfce4-screenshooter/xfce4-screenshooter.info
@@ -0,0 +1,8 @@
+PRGNAM="xfce4-screenshooter"
+VERSION="1.5.1"
+HOMEPAGE="http://goodies.xfce.org/"
+DOWNLOAD="http://goodies.xfce.org/releases/xfce4-screenshooter/xfce4-screenshooter-1.5.1.tar.gz"
+MD5SUM="a0d51abc2957486fe8aa314b61cf3c85"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="michiel"